<?php
require_once('../clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', '../clases/xajax/');
$xajax->setCharEncoding("ISO-8859-1");
function xExportar($varForm) {
	$varFIni = ($varForm["fini"]=="")?"NULL": "'".FechaMySql($varForm["fini"])."'";
	$varFFin = ($varForm["ffin"]=="")?"NULL": "'".FechaMySql($varForm["ffin"])."'";
	$varVen  = ($varForm["vcod"]=="")?"NULL":$varForm["vcod"];
	$sql = "call spQuery_Avance_Ventas_Proveedor($varForm[ecod], '$varForm[anio]', '$varForm[mes]', $varVen, $varFIni, $varFFin);";
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = (isset($varForm["titu"]))?$varForm["titu"]:"Reporte";	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("../export.php?page=$varTitulo");
    return $objResponse;
	}
	
function xBuscar($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsAvanceVentas($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDatos($varForm);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", $varTabla);
	$varMarcar="ResaltarSeleccionado()";
	$respuestaXajax->script($varMarcar); 
	return $respuestaXajax;
	}

$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_vendedor');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_empresa');
$xajax->register(XAJAX_FUNCTION, 'comboMesMetas');
$xajax->processRequest();
$xajax->printJavascript("../clases/xajax");
?>
<script language="javascript">		
	function xBuscarJS() {		
		if (xajax.$("ecod") && xajax.$("ecod").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA");  
			xajax.$("ecod").focus();
			return (false); 
			}
		else if (xajax.$("anio") && xajax.$("anio").value=="Ninguno") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN ANIO");
			xajax.$("anio").focus()
			return (false); 
			}
		else if (xajax.$("mes") && xajax.$("mes").value=="Ninguno") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN MES");
			xajax.$("mes").focus()
			return (false); 
			}
		else if (xajax.$("fini") && xajax.$("fini").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE INICIO");
			xajax.$("fini").focus()
			return (false); 
			}
		else if (xajax.$("ffin") && xajax.$("ffin").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE TERMINO");
			xajax.$("ffin").focus()
			return (false); 
			}
		else {
			xajax_xBuscar(xajax.getFormValues('form'));
			}		
		}
		
	function xExportarJS() {
		if (xajax.$("ecod") && xajax.$("ecod").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA");  
			xajax.$("ecod").focus();
			return (false); 
			}
		else if (xajax.$("anio") && xajax.$("anio").value=="Ninguno") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN ANIO");
			xajax.$("anio").focus()
			return (false); 
			}
		else if (xajax.$("mes") && xajax.$("mes").value=="Ninguno") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN MES");
			xajax.$("mes").focus()
			return (false); 
			}
		else if (xajax.$("fini") && xajax.$("fini").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE INICIO");
			xajax.$("fini").focus()
			return (false); 
			}
		else if (xajax.$("ffin") && xajax.$("ffin").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE TERMINO");
			xajax.$("ffin").focus()
			return (false); 
			}
		else {
			xajax_xExportar(xajax.getFormValues('form'));
			}
		}
	
	function xImprimirJS() {
		var varEmp = xajax.$("ecod").value;
		var varAni = xajax.$("anio").value;
		var varMes = xajax.$("mes").value;
		var varVen = xajax.$("vcod").value;
		var varIni = xajax.$("fini").value;
		var varFin = xajax.$("ffin").value;
		
		if (xajax.$("ecod") && xajax.$("ecod").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA");  
			xajax.$("ecod").focus();
			return (false); 
			}
		else if (xajax.$("anio") && xajax.$("anio").value=="Ninguno") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN ANIO");
			xajax.$("anio").focus()
			return (false); 
			}
		else if (xajax.$("mes") && xajax.$("mes").value=="Ninguno") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN MES");
			xajax.$("mes").focus()
			return (false); 
			}
		else if (xajax.$("fini") && xajax.$("fini").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE INICIO");
			xajax.$("fini").focus()
			return (false); 
			}
		else if (xajax.$("ffin") && xajax.$("ffin").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE TERMINO");
			xajax.$("ffin").focus()
			return (false); 
			}
		else {
			var Ruta = 'print/print_avance_ventas_proveedor.php?ecod='+varEmp+'&anio='+varAni+'&mes='+varMes+'&fini='+varIni+'&ffin='+varFin+'&vcod='+varVen;
			testwindow= window.open (Ruta, "print_avance_ventas_proveedor", "location=no,status=no,toolbar=no,scrollbars=1,width=900,height=500");
			}
		}

</script>
<?php		
function MyTable($obj, $titulo, $Opcion, $Valor) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	//echo $obj->GridDatos();		
	echo "</div>";
	echo "</div>";
	}
?>